AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Manager.Action
RedirectAction Class
RedirectAction Constructor
RedirectAction Methods
RedirectAction Properties

| RedirectAction Class

Redirects a given channel (and an optional additional channel) to a new extension.
Inheritance Hierarchy
System
Object
AsterNET.Manager.Action
ManagerAction
AsterNET.Manager.Action
RedirectAction

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class RedirectAction : ManagerAction

    Public Class RedirectAction
    	Inherits ManagerAction

    public ref class RedirectAction : public ManagerAction

    type RedirectAction =
        class
            inherit ManagerAction
        end

The RedirectAction type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| RedirectAction | Creates a new empty RedirectAction.
| RedirectAction(String, String, String, Int32) | Creates a new RedirectAction that redirects the given channel to the given context, extension, priority triple.
| RedirectAction(String, String, String, String, Int32) | Creates a new RedirectAction that redirects the given channels to the given context, extension, priority triple.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from ManagerAction.)

Top
Properties

| Name | Description
--- | --- | ---
| Action | Get the name of this action, i.e. "Redirect". (Overrides ManagerAction Action.)
| ActionId | (Inherited from ManagerAction.)
| Channel | Get/Set name of the channel to redirect.
| Context | Get/Set the destination context.
| Exten | Get/Set the destination extension.
| ExtraChannel | Get/Set the name of the additional channel to redirect.
| Priority | Get/Set the destination priority.
| ProxyKey | You can use this as a simple authentication mechanism. Rather than have to login with a username & password, you can specify a ProxyKey that must be passed from a client before requests are processed. This is helpful in situations where you would like to authenticate and execute an action in a single step. (Inherited from ManagerAction.)
| Server | Specify a server to which to send your commands (x.x.x.x or hostname). This should match the server name specified in your config file's "host" entry. If you do not specify a server, the proxy will pick the first one it finds -- fine in single-server configurations. (Inherited from ManagerAction.)

Top
See Also

#### Reference

AsterNET.Manager.Action Namespace